Bug 1273859 (CVE-2015-4871) - CVE-2015-4871 OpenJDK: protected methods can be used as interface methods via DirectMethodHandle (Libraries)
Summary: CVE-2015-4871 OpenJDK: protected methods can be used as interface methods via...
Status: CLOSED ERRATA
Alias: CVE-2015-4871
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20151020,repor...
Keywords: Security
Depends On:
Blocks: 1257667
TreeView+ depends on / blocked
 
Reported: 2015-10-21 12:14 UTC by Tomas Hoger
Modified: 2019-06-08 20:48 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-01-21 12:50:03 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1927 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 15:33:43 UTC
Red Hat Product Errata RHSA-2015:2506 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2015-11-23 17:56:27 UTC
Red Hat Product Errata RHSA-2015:2507 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2015-11-23 17:40:46 UTC
Red Hat Product Errata RHSA-2015:2509 normal SHIPPED_LIVE Critical: java-1.8.0-ibm security update 2015-11-23 17:56:18 UTC
Red Hat Product Errata RHSA-2016:0053 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2016-01-21 16:39:02 UTC
Red Hat Product Errata RHSA-2016:0054 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2016-01-21 16:54:56 UTC
Red Hat Product Errata RHSA-2016:1430 normal SHIPPED_LIVE Moderate: java-1.7.0-ibm and java-1.7.1-ibm security update 2016-07-18 17:51:35 UTC

Description Tomas Hoger 2015-10-21 12:14:57 UTC
Oracle Java SE 7u91 fixes an unspecified vulnerability in the Libraries component (CVE-2015-4871).  Upstream has CVSSv2 scored this issue as: 5.8/AV:N/AC:M/Au:N/C:P/I:P/A:N

External Reference:

http://www.oracle.com/technetwork/topics/security/cpuoct2015-2367953.html#AppendixJAVA

Comment 1 errata-xmlrpc 2015-10-22 18:47:12 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1927 https://rhn.redhat.com/errata/RHSA-2015-1927.html

Comment 2 errata-xmlrpc 2015-11-23 12:44:38 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:2507 https://rhn.redhat.com/errata/RHSA-2015-2507.html

Comment 3 errata-xmlrpc 2015-11-23 12:58:27 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2015:2509 https://rhn.redhat.com/errata/RHSA-2015-2509.html

Comment 4 errata-xmlrpc 2015-11-23 13:00:18 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2015:2506 https://rhn.redhat.com/errata/RHSA-2015-2506.html

Comment 5 Tomas Hoger 2015-11-27 22:33:06 UTC
Further details of these issue were made public.  This issue is not specific to Oracle JDK - OpenJDK 7 is also affected by this issue.

This problem is described as Issue 42 in Security Exploration's SE-2014-02:

http://www.security-explorations.com/en/SE-2014-02-details.html
http://www.security-explorations.com/materials/SE-2014-02-ORACLE.pdf
http://seclists.org/fulldisclosure/2015/Oct/83

The following fix was applied to OpenJDK 7 upstream:

http://hg.openjdk.java.net/jdk7u/jdk7u/jdk/rev/c434c67b8189
http://mail.openjdk.java.net/pipermail/jdk7u-dev/2015-November/010442.html

Note that the issue was not addressed in HotSpot as suggested in the report, but in the DirectMethodHandle implementation.

Comment 6 Tomas Hoger 2015-11-30 20:15:49 UTC
(In reply to Tomas Hoger from comment #5)
> Note that the issue was not addressed in HotSpot as suggested in the report,
> but in the DirectMethodHandle implementation.

The original reporter published a new report indicating that their previous root cause analysis was incorrect and that the DirectMethodHandle was the place with the faulty code:

http://seclists.org/fulldisclosure/2015/Nov/107
http://www.security-explorations.com/materials/SE-2014-02-ORACLE-ERRATA.pdf

According to the updated report, this issue was corrected in JDK 8 between versions 8u31 and 8u40, hence it was included with updates for the Apr 2015 CPU, updating JDK8 packages to version 8u45.

Comment 7 errata-xmlrpc 2016-01-21 11:42:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0053 https://rhn.redhat.com/errata/RHSA-2016-0053.html

Comment 8 errata-xmlrpc 2016-01-21 11:58:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2016:0054 https://rhn.redhat.com/errata/RHSA-2016-0054.html

Comment 9 errata-xmlrpc 2016-07-18 13:55:12 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2016:1430 https://access.redhat.com/errata/RHSA-2016:1430


Note You need to log in before you can comment on or make changes to this bug.